### Method

# EDataServer GDataSession tasks_get_sync

since: 3.46

#### Declaration [src]

    gboolean
    e_gdata_session_tasks_get_sync (
      EGDataSession* self,
      const gchar* tasklist_id,
      const gchar* task_id,
      JsonObject** out_task,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets a task `task_id` from a task list `tasklist_id` and returns it as a `JsonObject`, which should be freed with json_object_unref(), when no longer needed.

There can be used e_gdata_task_get_id(), e_gdata_task_get_etag(), `e_gdata_task_get_title()` and other e_gdata_task_… functions to read the properties of the task.

Available since: 3.46

#### Parameters

`tasklist_id`

  Type: `const gchar*`

  Id of a task list.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`task_id`

  Type: `const gchar*`

  Id of a task.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_task`

  Type: `JsonObject`

  Task object.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.